
Extended Fields - Bug #1934

Export to csv fails, NoMethodError (undefined method `find_custom_field_template'

06 Jan 2012 14:23 - John Smitt

Status: Closed Start date: 06 Jan 2012

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

Redmine version: 1.3.0 External issue:  

Description

Processing TimelogController#index to csv[GET]

  Parameters: {"format"=>"csv", "project_id"=>"redmine", "action"=>"index", "controller"=>"timelog

"}

NoMethodError (undefined method `find_custom_field_template' for #<TimelogController:0x7f82d586128

0>):

  app/helpers/timelog_helper.rb:119:in `entries_to_csv'

  app/helpers/timelog_helper.rb:119:in `collect'

  app/helpers/timelog_helper.rb:119:in `entries_to_csv'

  app/helpers/timelog_helper.rb:108:in `each'

  app/helpers/timelog_helper.rb:108:in `entries_to_csv'

  lib/faster_csv.rb:1053:in `generate'

  app/helpers/timelog_helper.rb:89:in `entries_to_csv'

  app/controllers/timelog_controller.rb:93:in `index'

  app/controllers/timelog_controller.rb:54:in `index'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:441:in `start_reque

st_handler'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:381:in `handle_spaw

n_application'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/utils.rb:252:in `safe_fork'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:377:in `handle_spaw

n_application'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:222:in `start'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:253:in `spawn_rails_application

'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_

add'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:247:in `spawn_rails_application

'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize

'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize

'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:246:in `spawn_rails_application

'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:145:in `spawn_application'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:278:in `handle_spawn_applicatio

n'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/phusion_passenger/passenger-spawn-server:61
(500 Internal Server Error)

 

About your application’s environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Environment               production

Database adapter          mysql

Database schema version   20110902000000

About your Redmine plugins

Extended fields                        0.0.1b

Related issues:

Related to Extended Fields - Bug #1936: Undefined method `find_custom_field_t... Closed 06 Jan 2012 01 Feb 2012

Related to Extended Fields - Bug #2261: issues PDF view and descriptions Incomplete 04 Nov 2013

Related to Extended Fields - Bug #2318: Issues as pdf In Progress 25 Jun 2014

Associated revisions

Revision 19 - 12 Jan 2012 00:10 - Andriy Lesyuk

Some refactoring, added check for format fixing #1934 and #1936

History

#1 - 06 Jan 2012 14:35 - John Smitt

redmine 1.3.0

#2 - 08 Jan 2012 12:30 - Andriy Lesyuk

- Status changed from New to Open

- Target version set to 0.1.0

#3 - 12 Jan 2012 00:06 - Andriy Lesyuk

- Status changed from Open to Under Verification

- % Done changed from 0 to 90

Should be fixed! Needs testing and confirmation!

#4 - 14 Jan 2012 10:26 - Andriy Lesyuk

- % Done changed from 90 to 100

Please update from SVN and confirm the issue has gone.

#5 - 25 Jan 2012 11:18 - John Smitt

The export started working.

#6 - 27 Jan 2012 23:01 - Andriy Lesyuk

- Status changed from Under Verification to Closed

#7 - 03 Oct 2016 10:24 - Andriy Lesyuk
- Related to Bug #2261: issues PDF view and descriptions added

#8 - 03 Oct 2016 10:25 - Andriy Lesyuk

- Related to Bug #2318: Issues as pdf added

#9 - 03 Oct 2016 13:05 - Andriy Lesyuk

- Description updated
